# rtp.h File Reference

Generic and audio/video profile specific RTP interface of ccRTP. More...

`#include <ccrtp/cqueue.h>`
`#include <ccrtp/channel.h>`

Go to the source code of this file.

## Classes

class | TRTPSessionBase< RTPDataChannel, RTCPChannel, ServiceQueue >
class | SingleThreadRTPSession< RTPDataChannel, RTCPChannel, ServiceQueue >
| This template class adds the threading aspect to the RTPSessionBase template in one of the many possible ways. More...

## Typedefs

typedef SingleThreadRTPSession | RTPSession
| Uses two pairs of sockets for RTP data and RTCP transmission/reception.
typedef RTPSession | RTPSocket
| Alias for RTPSession.
typedef SingleThreadRTPSession < SymmetricRTPChannel, SymmetricRTPChannel > | SymmetricRTPSession
| Uses one pair of sockets, (1) for RTP data and (2) for RTCP transmission/reception.

## Detailed Description

Generic and audio/video profile specific RTP interface of ccRTP.

The classes and types in this header provide general RTP functionality (following RFC 3550) as well as audio/video RTP profile specific functionality (following RFC 3551).